• Immutable Page
  • Info
  • Attachments

Installing from source tarballs

WARNING: Compiz 0.8.x components are not compatible with 0.9.x components. It is recommended to remove all compiz 0.9 components before building 0.8.

NOTE: Compiz core has plugins for Desktop Environment compatibility. The Gnome Compatibility plugin is for Gnome2. When using Gnome3, --disable-gnome is recommended. KDE Compatibility can be disabled with --disable-kde. Disabling these will not inhibit the functionality of compiz.

This method should work on any distribution, as long as you have satisfied the dependencies required to compile Compiz. The basic dependencies are:

build-essential libxcomposite-dev libpng12-dev libjpeg-dev libsm-dev libxrandr-dev libxdamage-dev libxinerama-dev libstartup-notification0-dev libgconf2-dev libgl1-mesa-dev libglu1-mesa-dev libmetacity-dev librsvg2-dev libdbus-1-dev libdbus-glib-1-dev libgnome-desktop-dev libgnome-window-settings-dev git autoconf automake automake1.9 libtool intltool libxslt1-dev xsltproc libwnck-dev python-dev python-pyrex 

Most (if not all) of these may also be obtainable through your packaging system (if you have one) via the command to fetch all build dependencies for Compiz.

Once these are installed, you can obtain the source tarball from the Compiz releases page.

0.8.6

Only packages that had changes were released. Since there were no API changes, 0.8.4 components are compatible with 0.8.6. Simply build 0.8.4 as normal, using 0.8.6 components that are available. The same applies to 0.8.8.

To compile from the source tarballs, extract each tarball and execute the following in each package directory:

./autogen.sh --prefix=/usr/local && ./configure --prefix=/usr/local
make
sudo make install 

For ccsm, use this command instead:

sudo ./setup.py install --prefix=/usr/local 

The packages must be installed in this order:

  • compiz

  • bcop

  • libcompizconfig

  • compizconfig-python

  • ccsm

  • compiz-fusion-plugins-main (it must be built before plugins-extra as it contains necessary header files)

  • everything else

Installing From Git

This is not recommended unless you want the absolute bleeding-edge version of stable. Below is a list of git repositories:

Git repository

Stable branch

Development Branch

git://anongit.compiz.org/compiz/core/

compiz-0.8

master

git://anongit.compiz.org/fusion/libraries/bcop

master

compiz++

git://anongit.compiz.org/compiz/compizconfig/libcompizconfig

compiz-0.8

master

git://anongit.compiz.org/compiz/compizconfig/compizconfig-python

compiz-0.8

master

git://anongit.compiz.org/compiz/compizconfig/ccsm

compiz-0.8

master

git://anongit.compiz.org/fusion/plugins-main

master

-

git://anongit.compiz.org/fusion/plugins-extra

master

-

git://anongit.compiz.org/fusion/plugins-unsupported

master

-

git://anongit.compiz.org/fusion/decorators/emerald

master

-

git://anongit.compiz.org/fusion/decorators/emerald-themes

master

-

When cloning a git repository, the branch is master by default.

git clone git://anongit.compiz.org/compiz/core/ 

To clone a repo and checkout a branch other than master, use the -b flag:

git clone git://anongit.compiz.org/compiz/core/ -b compiz-0.8 && cd core 

This is shorthand for:

git clone git://anongit.compiz.org/compiz/core/ && cd core && git checkout compiz-0.8 

Build-System switches

Compiz-Core's configure file also contains a number of switches to disable certain dependencies. They are:

  • --disable-glib - Disable glib plugin

  • --disable-gconf - Disable gconf plugin

  • --disable-schemas-install - Disable the schemas installation

  • --disable-place - Disable window placement plugin

  • --disable-dbus - Disable dbus plugin

  • --disable-dbus-glib - Disable dbus-glib support

  • --disable-inotify - Disable inotify plugin

  • --disable-fuse - Disable fuse plugin

  • --disable-annotate - Disable annotate plugin

  • --disable-librsvg - Disable svg support

  • --disable-gtk - Disable gtk window decorator

  • --disable-metacity - Disable metacity theme support

  • --disable-gnome - Disable gnome settings module

  • --disable-gnome-keybindings - Disable gnome keybindings

  • --disable-kde - Disable KDE window decorator

  • --disable-kde4 - Disable KDE 4 window decorator

  • --disable-kconfig - Disable kconfig plugin

Installation/Stable (last edited 2013-01-23 15:16:06 by c-75-70-116-115)